### Function

# Vte SelectionFunc

deprecated: 0.76

#### Declaration

    gboolean
    (* VteSelectionFunc) (
      VteTerminal* terminal,
      glong column,
      glong row,
      gpointer data
    )

#### Description [src]

Specifies the type of a selection function used to check whether a cell has to be selected or not.

Deprecated since: 0.76

Please do not use it in newly written code.

#### Parameters

`terminal`

  Type: `VteTerminal`

  Terminal in which the cell is.

  The data is owned by the caller of the function.

`column`

  Type: `glong`

  Column in which the cell is.

`row`

  Type: `glong`

  Row in which the cell is.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if cell has to be selected; `FALSE` if otherwise.